# if component MML is on, then mml gui is also needed
if(COMPONENT_MML)
    set(MML_GENERATE_GUI ON CACHE BOOL "Forced by COMPONENT_MML" FORCE)
    add_definitions(-DMML_GENERATE_GUI)
endif()

camitk_extension(COMPONENT_EXTENSION
                 DEFINES COMPILE_MMLCOMPONENT_API
                 NEEDS_XSD
                 NEEDS_CEP_LIBRARIES pml pmlschema lml lmlschema monitoring monitoringgui mmlschema
                 NEEDS_COMPONENT_EXTENSION pmlcomponent vtkmesh
                 HEADERS_TO_INSTALL  MMLComponentExtension.h
                                     MMLComponent.h
                                     MMLDisplay.h
                                     MMLMonitorDisplay.h
                                     MMLMonitorDisplayFactory.h
                                     MMLMonitorDisplays/Colors.h
                                     MMLMonitorDisplays/Arrows.h
                                     MMLMonitorDisplays/Tabular.h
                                     MMLComponentAPI.h
                 CEP_NAME CEP_MODELING
                 DESCRIPTION "Component MML allows one to handle XML file that compare biomechanical simulations with different simulators"
                 # No auto test possible in mml without any simulator plugins
)
